org.apache.commons.math.exception.util

## Interface Localizable

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DummyLocalizable, LocalizedFormats

    public interface Localizable
    extends Serializable

Interface for localizable strings.

Since:
  2.2
Version:
  $Revision: 983921 $ $Date: 2010-08-10 12:46:06 +0200 (mar. 10 août 2010) $

### Method Summary

Methods
`String` `getLocalizedString(Locale locale)` Get the localized string.
`String` `getSourceString()` Get the source (non-localized) string.

### Method Detail

#### getSourceString

    String getSourceString()

Get the source (non-localized) string.

Returns:
  source string

#### getLocalizedString

    String getLocalizedString(Locale locale)

Get the localized string.

Parameters:
  `locale` - locale into which to get the string
Returns:
  localized string or the source string if no localized version is available